diff options
author | Peter Mikus <pmikus@cisco.com> | 2019-02-26 10:24:41 +0000 |
---|---|---|
committer | Peter Mikus <pmikus@cisco.com> | 2019-02-27 19:18:43 +0000 |
commit | 2045a26e54b45a5fd7635102ceda1662d84a2047 (patch) | |
tree | 7ca5a76399a569a3b5093f394615633a31385719 /resources/libraries/bash/entry | |
parent | 97063f15d83378f8c5989b7116eb7a542147455f (diff) |
CSIT-1449 Ansible: Adding calibration support
- Remove obsolete bootstrap_setup.sh.
- Add calibration support into ansible.
- Inject Ansible run with calibration to every job.
Change-Id: Ib2d6cd0c04d3bce700b205bef34c3c88edb26e28
Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry')
-rwxr-xr-x | resources/libraries/bash/entry/bootstrap_setup_testbed.sh | 35 | ||||
-rw-r--r-- | resources/libraries/bash/entry/bootstrap_verify_perf.sh | 2 |
2 files changed, 2 insertions, 35 deletions
diff --git a/resources/libraries/bash/entry/bootstrap_setup_testbed.sh b/resources/libraries/bash/entry/bootstrap_setup_testbed.sh deleted file mode 100755 index 9dd61cfc9d..0000000000 --- a/resources/libraries/bash/entry/bootstrap_setup_testbed.sh +++ /dev/null @@ -1,35 +0,0 @@ -#!/usr/bin/env bash - -# Copyright (c) 2018 Cisco and/or its affiliates. -# Licensed under the Apache License, Version 2.0 (the "License"); -# you may not use this file except in compliance with the License. -# You may obtain a copy of the License at: -# -# http://www.apache.org/licenses/LICENSE-2.0 -# -# Unless required by applicable law or agreed to in writing, software -# distributed under the License is distributed on an "AS IS" BASIS, -# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. -# See the License for the specific language governing permissions and -# limitations under the License. - -set -exuo pipefail - -# Assumptions: -# + There is a directory holding CSIT code to use (this script is there). -# ++ This entry script has access to arguments: -# ++ ${@} = <linux_ip> <mgmt_ip> <mgmt_username> <mgmt_pass> -# Consequences (and specific assumptions) are multiple, -# examine tree of functions for current description. - -# "set -eu" handles failures from the following two lines. -BASH_ENTRY_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))" -BASH_FUNCTION_DIR="$(readlink -e "${BASH_ENTRY_DIR}/../function")" -source "${BASH_FUNCTION_DIR}/common.sh" || { - echo "Source failed." >&2 - exit 1 -} -source "${BASH_FUNCTION_DIR}/setup.sh" || die "Source failed." -common_dirs || die -pxe_host "${@}" || die -ansible_host || die diff --git a/resources/libraries/bash/entry/bootstrap_verify_perf.sh b/resources/libraries/bash/entry/bootstrap_verify_perf.sh index aad2969ecc..cfe94686cb 100644 --- a/resources/libraries/bash/entry/bootstrap_verify_perf.sh +++ b/resources/libraries/bash/entry/bootstrap_verify_perf.sh @@ -31,6 +31,7 @@ source "${BASH_FUNCTION_DIR}/common.sh" || { exit 1 } source "${BASH_FUNCTION_DIR}/gather.sh" || die "Source failed." +source "${BASH_FUNCTION_DIR}/ansible.sh" || die "Source failed." common_dirs || die get_test_code "${1-}" || die get_test_tag_string || die @@ -39,6 +40,7 @@ gather_build || die check_download_dir || die activate_virtualenv || die reserve_testbed || die +ansible_hosts "run-jitter-tool" || die select_tags || die compose_pybot_arguments || die run_pybot || die |